# $Revision: 1.20.2.1 $, $Date: 2003/09/10 11:02:31 $
Summary:	Non-visual routines for database frontend applications
Summary(pl):	Niegraficzne funkcje dla aplikacji bdcych frontendami do baz danych
Name:		hk_classes
Version:	0.6
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/hk-classes/%{name}-%{version}.tar.bz2
# Source0-md5:	9bf3217c35795d83f29a3af7b6bb3ecb
Patch0:		%{name}-dir.patch
URL:		http://hk-classes.sourceforge.net/
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	mysql-devel
BuildRequires:	postgresql-backend-devel >= 7.1
BuildRequires:	postgresql-devel >= 7.1
BuildRequires:	unixODBC-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hk_classes is a set of non-visual routines which allow you to develop
database frontend applications as easy as possible.

%description -l pl
hk_classes to zbir niegraficznych funkcji, pozwalajcych na moliwie
najatwiejsze tworzenie aplikacji bdcych frontendami do baz danych.

%package devel
Summary:	Header files for hk_classes
Summary(pl):	Pliki nagwkowe hk_classes
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for hk_classes.

%description devel -l pl
Pliki nagwkowe hk_classes.

%package static
Summary:	Static hk_classes library
Summary(pl):	Statyczna biblioteka hk_classes
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static hk_classes library.

%description static -l pl
Statyczna biblioteka hk_classes.

%package driver-mysql
Summary:	MySQL driver for hk_classes
Summary(pl):	Sterownik MySQL dla hk_classes
Group:		Libraries
Requires:	%{name} = %{version}

%description driver-mysql
MySQL driver for hk_classes.

%description driver-mysql -l pl
Sterownik MySQL dla hk_classes.

%package driver-odbc
Summary:	unixODBC driver for hk_classes
Summary(pl):	Sterownik unixODBC dla hk_classes
Group:		Libraries
Requires:	%{name} = %{version}

%description driver-odbc
unixODBC driver for hk_classes.

%description driver-odbc -l pl
Sterownik unixODBC dla hk_classes.

%package driver-postgresql
Summary:	PostgreSQL driver for hk_classes
Summary(pl):	Sterownik PostgreSQL dla hk_classes
Group:		Libraries
Requires:	%{name} = %{version}

%description driver-postgresql
PostgreSQL driver for hk_classes.

%description driver-postgresql -l pl
Sterownik PostgreSQL dla hk_classes.

%package tools
Summary:	Commandline tools
Summary(pl):	Narzdzia dziaajce z linii polece
Group:		Applications
Requires:	%{name} = %{version}

%description tools
Command line tools for hk_classes.

%description tools -l pl
Narzdzia dziaajce z linii polece dla hk_classes.

%prep
%setup -q
%patch -p1

%build
# supplied libtool is broken (C++)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
echo "echo" >> Makefile.am
%{__automake}

%configure \
	--with-hk_classes-dir=%{_libdir} \
	--with-hk_classes-incdir=%{_includedir}/%{name} \
	--with-hk_classes-drvdir=%{_libdir}/%{name}/drivers \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/drivers

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files driver-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/drivers/libhk_mysqldriver.so*
%{_libdir}/%{name}/drivers/libhk_mysqldriver.la

%files driver-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/drivers/libhk_odbcdriver.so*
%{_libdir}/%{name}/drivers/libhk_odbcdriver.la

%files driver-postgresql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/drivers/libhk_postgresdriver.so*
%{_libdir}/%{name}/drivers/libhk_postgresdriver.la

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hk_*
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hk_classes.spec,v $
Revision 1.20.2.1  2003/09/10 11:02:31  ankry
- added md5, rel. 3 to rebuild with new mysql

Revision 1.20  2003/08/28 21:07:36  blues
- release 2

Revision 1.19  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/15 12:04:16  ankry
- cosmetics / fixes in descriptions

Revision 1.17  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.16  2003/06/24 10:16:51  blues
- release 1

Revision 1.15  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/05/09 12:46:49  qboosh
- simplified Source0 URL, switched to .bz2

Revision 1.12  2003/05/08 09:28:58  qboosh
- fixed tools pl summary

Revision 1.11  2003/05/06 10:14:31  qboosh
- fixed libtool problems

Revision 1.10  2003/05/02 10:52:59  ankry
s/nie-graficzny/niegraficzny/g

Revision 1.9  2003/05/02 10:27:52  matkor
- Version 0.6. I'm unable to fix ac/am build issues. TIA for fixing.

Revision 1.8  2003/01/21 08:22:42  matkor
- ver. 0.5.6

Revision 1.7  2002/12/05 15:51:48  matkor
- BR: posgresql-devel >= 7.1 added. rel 1.

Revision 1.6  2002/12/04 10:31:36  qboosh
- removed TODO (done)

Revision 1.5  2002/12/03 16:21:58  qboosh
- updated dir patch
- added odbc driver
- no need for 755 on drivers/*.la

Revision 1.4  2002/11/27 19:30:12  matkor
- version 0.5.5. NFY - needs tiny am patch change. TIA.

Revision 1.3  2002/11/25 14:16:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/11/21 12:23:23  qboosh
- cleanups, split, use proper paths (added dir patch)

Revision 1.1  2002/11/16 17:23:59  matkor
- Very initial specs. Both build and run, but need ac/am get done right.

* Mon Sep 23 2002 <mazay@phone.dn.ua>
- version 0.5.4

* Wed Jul 17 2002 <mazay@phone.dn.ua>
- initial rpm release
